Any class that wants to use the PubSub bus needs to extend this class. No one should use PubSub directly!!

### Hierarchy

- PubSub

## Index

### Properties

- subscriptionTokens

### Methods

- makeNamespace
- publish
- publishNamespaced
- subscribe
- subscribeNamespaced
- unsubscribeAll

## Properties

### Private subscriptionTokens

subscriptionTokens: Array<string> = []

- Defined in src/lib/PubSub.ts:8

## Methods

### Private makeNamespace

- makeNamespace(namespace: string, event: string): string

- - Defined in src/lib/PubSub.ts:33

  #### Parameters

  - ##### namespace: string

  - ##### event: string

  #### Returns string

### publish

- publish(event: string, data: any): void

- - Defined in src/lib/PubSub.ts:10

  #### Parameters

  - ##### event: string

  - ##### data: any

  #### Returns void

### publishNamespaced

- publishNamespaced(namespace: string, event: string, data: any): void

- - Defined in src/lib/PubSub.ts:14

  #### Parameters

  - ##### namespace: string

  - ##### event: string

  - ##### data: any

  #### Returns void

### subscribe

- subscribe(event: string, fn: Function): void

- - Defined in src/lib/PubSub.ts:22

  #### Parameters

  - ##### event: string

  - ##### fn: Function

  #### Returns void

### subscribeNamespaced

- subscribeNamespaced(namespace: string, event: string, fn: Function): void

- - Defined in src/lib/PubSub.ts:18

  #### Parameters

  - ##### namespace: string

  - ##### event: string

  - ##### fn: Function

  #### Returns void

### unsubscribeAll

- unsubscribeAll(): void

- - Defined in src/lib/PubSub.ts:27

  #### Returns void

Generated using TypeDoc